%define majver %(echo %version | cut -d. -f 1-2)
%define dirver %(echo %version | tr -d .)

Name:          ghostscript
Version:       9.54.0
Release:       1mamba
Summary:       The GPL release of the Ghostscript interpreter
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.ghostscript.com/awki
Source:        https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs%{dirver}/ghostscript-%{version}.tar.gz
#Source:        http://downloads.ghostscript.com/public/ghostscript-%{version}.tar.gz
#Source:        http://downloads.sourceforge.net/sourceforge/ghostscript/ghostscript-%{version}.tar.bz2
Patch0:        ghostscript-9.07-european-locales-comma-separator.patch
Patch1:        ghostscript-9.27-system-zlib.patch
Patch2:        ghostscript-9.53.3-libfreetype-2.10.4.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXt-devel
BuildRequires: libatk-devel
%if "%{stage1}" != "1"
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
%endif
BuildRequires: libe2fs-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
%if "%{stage1}" != "1"
BuildRequires: libgtk-devel
%endif
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: libkrb5-devel
%if "%{stage1}" != "1"
BuildRequires: libpango-devel
%endif
BuildRequires: libpaper-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libkrb5-devel
BuildRequires: libtasn1-devel
BuildRequires: libtool >= 1.5.22
BuildRequires: libjbig2dec-devel
%if "%{stage1}" != "1"
BuildRequires: libGLUT-devel
BuildRequires: libSDL-devel
%endif
Requires:      %{name}-fonts
Requires:      libgs = %{?epoch:%epoch:}%{version}-%{release}
Provides:      ghostscript-cups
Obsoletes:     ghostscript-cups < 9.54.0

%description
Ghostscript is a package of software that provides:
- An interpreter for the PostScript (TM) language, with the ability to convert PostScript language files to many raster formats, view them on displays, and print them on printers that don't have PostScript language capability built in;
- An interpreter for Portable Document Format (PDF) files, with the same abilities;
- The ability to convert PostScript language files to PDF (with some limitations) and vice versa; and
- A set of C procedures (the Ghostscript library) that implement the graphics and filtering (data compression / decompression / conversion) capabilities that appear as primitive operations in the PostScript language and in PDF.

%package -n libgs
Summary:        Ghostscript shared libraries
Group:          System/Libraries

%description -n libgs
- An interpreter for the PostScript (TM) language, with the ability to convert PostScript language files to many raster formats, view them on displays, and print them on printers that don't have PostScript language capability built in;
- An interpreter for Portable Document Format (PDF) files, with the same abilities;
- The ability to convert PostScript language files to PDF (with some limitations) and vice versa; and
- A set of C procedures (the Ghostscript library) that implement the graphics and filtering (data compression / decompression / conversion) capabilities that appear as primitive operations in the PostScript language and in PDF.

This package provides shared libraries provided by Ghostscript.

%package -n libgs-devel
Summary:        Headers and static libraries for development with Ghostscript
Group:          Development/Libraries
Provides:       ghostscript-devel
Obsoletes:      ghostscript-devel < 9.54.0
Requires:       libgs = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n libgs-devel
- An interpreter for the PostScript (TM) language, with the ability to convert PostScript language files to many raster formats, view them on displays, and print them on printers that don't have PostScript language capability built in;
- An interpreter for Portable Document Format (PDF) files, with the same abilities;
- The ability to convert PostScript language files to PDF (with some limitations) and vice versa; and
- A set of C procedures (the Ghostscript library) that implement the graphics and filtering (data compression / decompression / conversion) capabilities that appear as primitive operations in the PostScript language and in PDF.

Headers and static libraries for development with Ghostscript.

%package cups
Summary:       ESP Ghostscript Support for CUPS
Group:         Applications/Publishing
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description cups
ESP Ghostscript support for the Common UNIX Printing System ("CUPS").
This package is required to support non-PostScript printers with CUPS.

%package gtk
Summary:       A GTK-enabled PostScript(TM) interpreter and renderer.
Group:         Applications/Publishing
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
AutoProv:      no

%description gtk
A GTK-enabled version of Ghostscript, called 'gsx'.

%package X11
Summary:       X11 support for Ghostscript
Group:         Applications/Publishing
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description X11
X11 support library for Ghostscript.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
#%patch0 -p1
%patch1 -p1
#%patch2 -p1

# To force using system libs
rm -rfv cups/libs freetype jbig2dec jpeg lcms2 libpng tiff zlib

./autogen.sh

%build
#:<< _EOF
FONTPATH=
for path in \
   %{_datadir}/cups/fonts \
   %{_datadir}/ghostscript/fonts \
   /usr/local/lib/ghostscript/fonts \
   %{_datadir}/fonts
do
   FONTPATH="$FONTPATH${FONTPATH:+:}$path"
done

%configure \
   --enable-dynamic \
   --disable-compile-inits \
   --with-drivers=ALL \
   --with-fontpath="$FONTPATH" \
   --with-system-libtiff \
   --with-ijs \
   --with-jbig2dec \
   --without-omni \
   --enable-gtk \
   --with-x \
   --enable-fontconfig \
   --enable-freetype \
   --enable-openjpeg \
   --without-luratech \
   --with-libpaper

#   FT_BRIDGE=1 FT_CFLAGS="$FT_CFLAGS" FT_LIB=freetype

# If using macros that add CFLAGS be sure it works
make so PNGSRCDIR=%{_includedir}
make PNGSRCDIR=%{_includedir}

# \
#   FT_BRIDGE=1 FT_CFLAGS="$FT_CFLAGS" FT_LIB=freetype

## build ijs
cd ijs
sed -i "s|AM_PROG_CC_STDC|AC_PROG_CC|" configure.ac
aclocal
./autogen.sh || automake --add-missing && autoreconf -f
%configure --enable-shared --enable-static
%make prefix=%{_prefix}
cd ..

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall soinstall \
    PNGSRCDIR=%{_includedir} \
	cups_serverroot=%{buildroot}%{_sysconfdir}/cups \
	cups_serverbin=%{buildroot}%{_prefix}/lib/cups

# FT_BRIDGE=1
#   CUPSSERVER=%{buildroot}`cups-config --serverbin` \
#   CUPSCONFIG=%{buildroot}`cups-config --serverroot` \
#   CUPSDATA=%{buildroot}`cups-config --datadir`

## install ijs
cd ijs
%makeinstall
cd ..

install -m0644 base/*.h %{buildroot}%{_includedir}/ghostscript/

# 9.23: remove symlink poiting to buildroot
rm -f %{buildroot}%{_docdir}/ghostscript/%{version}/%{version}
rm -f %{buildroot}%{_datadir}/ghostscript/%{version}/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libgs -p /sbin/ldconfig
%postun -n libgs -p /sbin/ldconfig

%files
%defattr(-,root,root)
#%{_bindir}/bdftops
#%{_bindir}/dumphint
%{_bindir}/dvipdf
%{_bindir}/eps2eps
#%{_bindir}/fixmswrd.pl
#%{_bindir}/font2c
#%{_bindir}/gpcl6
%{_bindir}/gs
%{_bindir}/gsc
%{_bindir}/gsbj
%{_bindir}/gsdj
%{_bindir}/gsdj500
%{_bindir}/gslj
%{_bindir}/gslp
%{_bindir}/gsnd
#%{_bindir}/gxps
%{_bindir}/lprsetup.sh
%{_bindir}/pdf2dsc
%{_bindir}/pdf2ps
#%{_bindir}/pdfopt
%{_bindir}/pf2afm
%{_bindir}/pfbtopfa
%{_bindir}/pphs
%{_bindir}/printafm
%{_bindir}/ps2ascii
%{_bindir}/ps2epsi
%{_bindir}/ps2pdf
%{_bindir}/ps2pdf12
%{_bindir}/ps2pdf13
%{_bindir}/ps2pdf14
%{_bindir}/ps2pdfwr
%{_bindir}/ps2ps
%{_bindir}/ps2ps2
#%{_bindir}/pv.sh
%{_bindir}/unix-lpr.sh
#%{_bindir}/wftopfa
%{_datadir}/ghostscript
%{_mandir}/man1/*
%{_mandir}/de/*
%dir %{_docdir}/ghostscript
%dir %{_docdir}/ghostscript/%{version}
%{_docdir}/ghostscript/%{version}/*
#%doc LICENSE

%files -n libgs
%defattr(-,root,root)
%{_libdir}/libgs.so.*
%{_libdir}/libijs-*.so*

%files -n libgs-devel
%defattr(-,root,root)
#%{_bindir}/ijs-config
%{_bindir}/ijs_client_example
%{_bindir}/ijs_server_example
%dir %{_includedir}/ghostscript
%{_includedir}/ghostscript/*.h
%dir %{_includedir}/ijs
%{_includedir}/ijs/ijs.h
%{_includedir}/ijs/ijs_client.h
%{_includedir}/ijs/ijs_server.h
%{_libdir}/libijs.a
%{_libdir}/libijs.la
%{_libdir}/libijs.so
%{_libdir}/libgs.so
%{_libdir}/pkgconfig/ijs.pc

%if "%{stage1}" != "1"
#%files cups
#%defattr(-,root,root)
#%{_datadir}/cups/model/pxlcolor.ppd
##%{_datadir}/cups/model/pxlmono.ppd
#%{_sysconfdir}/cups/*
#%{_libdir}/cups/filter/*
%endif

%files gtk
%defattr(-,root,root)
%{_bindir}/gsx

%files X11
%defattr(-,root,root)
%{_libdir}/ghostscript/*/X11.so

%changelog
* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 9.54.0-1mamba
- automatic version update by autodist

* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 9.53.3-2mamba
- added upstream patch against libfreetype 2.10.4

* Thu Oct 01 2020 Automatic Build System <autodist@mambasoft.it> 9.53.3-1mamba
- automatic version update by autodist

* Fri Sep 25 2020 Automatic Build System <autodist@mambasoft.it> 9.53.2-1mamba
- automatic version update by autodist

* Mon Sep 14 2020 Automatic Build System <autodist@mambasoft.it> 9.53.1-1mamba
- automatic version update by autodist

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 9.53.0-1mamba
- automatic version update by autodist

* Thu Mar 19 2020 Automatic Build System <autodist@mambasoft.it> 9.52-1mamba
- automatic version update by autodist

* Fri Mar 13 2020 Automatic Build System <autodist@mambasoft.it> 9.51-1mamba
- automatic version update by autodist

* Tue Nov 05 2019 Automatic Build System <autodist@mambasoft.it> 9.50-1mamba
- automatic version update by autodist

* Wed Aug 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 9.27-2mamba
- rebuilt

* Thu Apr 04 2019 Automatic Build System <autodist@mambasoft.it> 9.27-1mamba
- automatic version update by autodist

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 9.26-1mamba
- automatic version update by autodist

* Fri Sep 14 2018 Automatic Build System <autodist@mambasoft.it> 9.25-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 9.24-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 9.23-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 9.22-1mamba
- automatic version update by autodist

* Sun Apr 09 2017 Automatic Build System <autodist@mambasoft.it> 9.21-1mamba
- automatic version update by autodist

* Thu Nov 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 9.20-3mamba
- rebuilt ensuring more system libraries are used

* Thu Nov 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 9.20-2mamba
- rebuilt with mode configure options

* Sun Oct 02 2016 Automatic Build System <autodist@mambasoft.it> 9.20-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 9.19-1mamba
- update to 9.19

* Sun Nov 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 9.18-2mamba
- install required include gserrors.h

* Mon Oct 05 2015 Automatic Build System <autodist@mambasoft.it> 9.18-1mamba
- automatic version update by autodist

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 9.16-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 9.15-1mamba
- automatic version update by autodist

* Wed Apr 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 9.14-1mamba
- update to 9.14

* Mon Sep 02 2013 Automatic Build System <autodist@mambasoft.it> 9.10-1mamba
- automatic version update by autodist

* Sat Aug 24 2013 Automatic Build System <autodist@mambasoft.it> 9.09-1mamba
- automatic version update by autodist

* Wed Jul 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 9.07-2mamba
- patch to fix broken rendering on european locales (http://bugs.ghostscript.com/show_bug.cgi?id=693843)

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 9.07-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 9.06-1mamba
- automatic version update by autodist

* Mon Mar 12 2012 Automatic Build System <autodist@mambasoft.it> 9.05-1mamba
- update to 9.05

* Sat Aug 13 2011 Automatic Build System <autodist@mambasoft.it> 9.04-1mamba
- automatic version update by autodist

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 9.02-1mamba
- automatic update by autodist

* Sat Feb 12 2011 Automatic Build System <autodist@mambasoft.it> 9.01-1mamba
- automatic update by autodist

* Mon Oct 25 2010 Automatic Build System <autodist@mambasoft.it> 9.00-1mamba
- update to 9.00

* Tue Feb 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 8.71-3mamba
- rebuilt without freetype support

* Mon Feb 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 8.71-2mamba
- ghostscript-gtk: don't provide libgs.so.8
- added debug package

* Thu Feb 11 2010 Automatic Build System <autodist@mambasoft.it> 8.71-1mamba
- automatic update to 8.71 by autodist

* Sun Aug 02 2009 Automatic Build System <autodist@mambasoft.it> 8.70-1mamba
- automatic update to 8.70 by autodist

* Tue Jun 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 8.64-3mamba
- added build requirement for libkrb5-devel
- added CVE 2009-0195, 2009-0583, 2009-0584, 2009-0792, fPIC patches

* Thu May 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 8.64-2mamba
- remove requirement for gimp-print

* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 8.64-1mamba
- automatic update to 8.64 by autodist

* Sun Sep 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 8.63-1mamba
- automatic update to 8.63 by autodist

* Sun Mar 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 8.62-1mamba
- update to 8.62

* Tue Nov 06 2007 Aleph0 <aleph0@openmamba.org> 8.60-2mamba
- build libgs library (required by okular)
- fix CVE-2007-2721
- new subpackage gtk

* Wed Sep 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 8.60-1mamba
- update to 8.60

* Sat Jun 23 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 8.57-2mamba
- added X11 subpackage

* Sun Jun 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 8.57-1mamba
- update to 8.57 from gs-esp-gpl-merger branch

* Wed May 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 8.56-1mamba
- update to 8.56

* Tue Mar 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 8.54-3qilnx
- rebuilt

* Tue Feb 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 8.54-2qilnx
- build with ijs support

* Fri Jan 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 8.54-1qilnx
- update to version 8.54 by autospec

* Tue Jun 20 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 8.15.2-1qilnx
- update to version 8.15.2 by autospec

* Tue Mar 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 7.07.1-2qilnx
- rebuilt to fix some broken links to nonexistent manpages
- fixed unsecure creating of temporary file in shell scripts
- added missing build requirements
- added basic documentation

* Mon Dec 29 2003 Davide Madrisan <davide.madrisan@qilinux.it> 7.07.1-1qilnx
- rebuilt with version 7.07.1
- added dependency (ghostscript-fonts)

* Thu Jun 19 2003 Silvan Calarco <silvan.calarco@qinet.it> 7.05.6-1qilnx
- first build of espgs
